NOLOGIN(8)

NAME
nologin - politely refuse a login

SYNOPSIS
nologin

DESCRIPTION
The nologin is intended as a replacement shell field for accounts that have been disabled.

When executed, nologin first writes about the login attempt to syslog(3) and then displays a message that an account is not available.

To disable all logins, investigate nologin(5).

EXIT STATUS
The nologin utility always exits non-zero.

EXAMPLES
Here is a demonstration of executing nologin:

    $ nologin
    This account is currently not available.
    $ tail -n 1 /var/log/messages
    Mar 30 21:53:07 example.org nologin[65992]: Attempted login by beastie on /dev/pts/18

SEE ALSO
login(1), nologin(5)

HISTORY
The nologin utility appeared in 4.4BSD.